Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Interface CacheStatistics

All Known Implementing Classes:
  PartitionSplittingBackingMap.AggregatingCacheStatistics, SimpleCacheStatistics

      public interface CacheStatistics

An interface for exposing Cache statistics.

Since:
  Coherence 2.2
Author:
  cp 2003.05.26

Method Summary
`double` | `getAverageGetMillis()` Determine the average number of milliseconds per `get()` invocation since the cache statistics were last reset.
`double` | `getAverageHitMillis()` Determine the average number of milliseconds per `get()` invocation that is a hit.
`double` | `getAverageMissMillis()` Determine the average number of milliseconds per `get()` invocation that is a miss.
`double` | `getAveragePutMillis()` Determine the average number of milliseconds per `put()` invocation since the cache statistics were last reset.
`long` | `getCacheHits()` Determine the rough number of cache hits since the cache statistics were last reset.
`long` | `getCacheHitsMillis()` Determine the total number of milliseconds (since that last statistics reset) for the `get()` operations for which an entry existed in this map.
`long` | `getCacheMisses()` Determine the rough number of cache misses since the cache statistics were last reset.
`long` | `getCacheMissesMillis()` Determine the total number of milliseconds (since that last statistics reset) for the `get()` operations for which no entry existed in this map.
`long` | `getCachePrunes()` Determine the rough number of cache pruning cycles since the cache statistics were last reset.
`long` | `getCachePrunesMillis()` Determine the total number of milliseconds (since that last statistics reset) spent on cache pruning.
`double` | `getHitProbability()` Determine the rough probability (0 <= p <= 1) that the next invocation will be a hit, based on the statistics collected since the last reset of the cache statistics.
`long` | `getTotalGets()` Determine the total number of `get()` operations since the cache statistics were last reset.
`long` | `getTotalGetsMillis()` Determine the total number of milliseconds spent on `get()` operations since the cache statistics were last reset.
`long` | `getTotalPuts()` Determine the total number of `put()` operations since the cache statistics were last reset.
`long` | `getTotalPutsMillis()` Determine the total number of milliseconds spent on `put()` operations since the cache statistics were last reset.
`void` | `resetHitStatistics()` Reset all of the cache statistics.

Method Detail

### getTotalGets

    long getTotalGets()

  Determine the total number of `get()` operations since the cache statistics were last reset.
  Returns:
    the total number of `get()` operations

### getTotalGetsMillis

    long getTotalGetsMillis()

  Determine the total number of milliseconds spent on `get()` operations since the cache statistics were last reset.
  Returns:
    the total number of milliseconds processing `get()` operations

### getAverageGetMillis

    double getAverageGetMillis()

  Determine the average number of milliseconds per `get()` invocation since the cache statistics were last reset.
  Returns:
    the average number of milliseconds per `get()` operation

### getTotalPuts

    long getTotalPuts()

  Determine the total number of `put()` operations since the cache statistics were last reset.
  Returns:
    the total number of `put()` operations

### getTotalPutsMillis

    long getTotalPutsMillis()

  Determine the total number of milliseconds spent on `put()` operations since the cache statistics were last reset.
  Returns:
    the total number of milliseconds processing `put()` operations

### getAveragePutMillis

    double getAveragePutMillis()

  Determine the average number of milliseconds per `put()` invocation since the cache statistics were last reset.
  Returns:
    the average number of milliseconds per `put()` operation

### getCacheHits

    long getCacheHits()

  Determine the rough number of cache hits since the cache statistics were last reset. <p/> A cache hit is a read operation invocation (e.g. `get()`) for which an entry exists in this map.
  Returns:
    the number of `get()` calls that have been served by existing cache entries

### getCacheHitsMillis

    long getCacheHitsMillis()

  Determine the total number of milliseconds (since that last statistics reset) for the `get()` operations for which an entry existed in this map.
  Returns:
    the total number of milliseconds for the `get()` operations that were hits

### getAverageHitMillis

    double getAverageHitMillis()

  Determine the average number of milliseconds per `get()` invocation that is a hit.
  Returns:
    the average number of milliseconds per cache hit

### getCacheMisses

    long getCacheMisses()

  Determine the rough number of cache misses since the cache statistics were last reset. <p/> A cache miss is a `get()` invocation that does not have an entry in this map.
  Returns:
    the number of `get()` calls that failed to find an existing cache entry because the requested key was not in the cache

### getCacheMissesMillis

    long getCacheMissesMillis()

  Determine the total number of milliseconds (since that last statistics reset) for the `get()` operations for which no entry existed in this map.
  Returns:
    the total number of milliseconds (since that last statistics reset) for the `get()` operations that were misses

### getAverageMissMillis

    double getAverageMissMillis()

  Determine the average number of milliseconds per `get()` invocation that is a miss.
  Returns:
    the average number of milliseconds per cache miss

### getHitProbability

    double getHitProbability()

  Determine the rough probability (0 <= p <= 1) that the next invocation will be a hit, based on the statistics collected since the last reset of the cache statistics.
  Returns:
    the cache hit probability (0 <= p <= 1)

### getCachePrunes

    long getCachePrunes()

  Determine the rough number of cache pruning cycles since the cache statistics were last reset. <p/> For the LocalCache implementation, this refers to the number of times that the `prune()` method is executed.
  Returns:
    the total number of cache pruning cycles (since that last statistics reset)

### getCachePrunesMillis

    long getCachePrunesMillis()

  Determine the total number of milliseconds (since that last statistics reset) spent on cache pruning. <p/> For the LocalCache implementation, this refers to the time spent in the `prune()` method.
  Returns:
    the total number of milliseconds (since that last statistics reset) for cache pruning operations

### resetHitStatistics

    void resetHitStatistics()

  Reset all of the cache statistics. <p/> Note that the method name implies that only the hit statistics are cleared, which is not the case; all of the statistics are cleared.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.